"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _foundation = _interopRequireDefault(require("../base/foundation"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ModalFoundation extends _foundation.default {
  constructor(adapter) {
    super(Object.assign({}, adapter));

    this.toggleHidden = (hidden, callback) => {
      this._adapter.toggleHidden(hidden, callback);
    };
  }

  destroy() {
    this.afterHide();
  }

  handleCancel(e) {
    this._adapter.notifyCancel(e);
  }

  handleOk(e) {
    this._adapter.notifyOk(e);
  }

  beforeShow() {
    this._adapter.disabledBodyScroll();
  }

  afterHide() {
    this._adapter.enabledBodyScroll();
  }

  afterClose() {
    this._adapter.notifyClose();
  }

}

exports.default = ModalFoundation;